% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BayesTreePrior.R
\name{Var_alpha}
\alias{Var_alpha}
\title{Variance of the number of bottom nodes in the unrealistic case where we assume that the number of variables and possible splits are infinite (therefore P(T) is not dependent on the design matrix X) and \eqn{\beta=0} (Case #1).}
\usage{
Var_alpha(alpha)
}
\arguments{
\item{alpha}{base parameter of the tree prior, \eqn{\alpha \in [0,1)}.}
}
\value{
Returns the variance of the number of bottom nodes.
}
\description{
Variance of the number of bottom nodes in the unrealistic case where we assume that the number of variables and possible splits are infinite (therefore P(T) is not dependent on the design matrix X) and \eqn{\beta=0} (Case #1).
}
\examples{
Var_alpha(.30)
Var_alpha(.45)
Var_alpha(.499)
Var_alpha(.75)
}
\references{
Jolicoeur-Martineau, A. (Currently in revision, expected 2016) \emph{Etude d'une loi a priori pour les arbres binaires de regression} (\emph{Study on the prior distribution of binary regression trees}) (Master thesis). UQAM university.
}
\seealso{
\code{\link{E_alpha}}
}

